      real(8) function crosstopa(x)
c----------------------------------------------------------------------c
c The unpolarized cross section in the narrow top width approximation
c
c Input:  x(2) - random numbers supplied by Vegas.
c
c Karol Kolodziej, University of Silesia, kolodzie@us.edu.pl
c 27 November, 2000; modified 6 July, 2001
c----------------------------------------------------------------------c

      use drivec
      use inprms 
      use mathprms 
      use parproc

      implicit none

      real(8) :: x(2)
      real(8), dimension(0:3) :: p1,p2,p3,p4
      real(8), dimension(0:4) :: ps1,ps2,ps3,ps4

      real(8) :: dlips,flux,mat2

c      real(8) :: mat2m,crossm,stt
c      integer :: ifirst=1
c      save ifirst
c      if (ifirst == 1) then
c        if (imad == 1) then
c          call initialize
c          ifirst=0
c        end if
c      end if

      call kineeff1(ecm,x(1),x(2),p1,ps1,m1,p2,ps2,m2,p3,ps3,mt,
     &                                           p4,ps4,mt,dlips,flux)

      call eeff1(p1,p2,p3,p4,ps1,ps2,ps3,ps4,mat2)

      icall=icall+1

      crosstopa=convc/flux*mat2*dlips*brt345*brt678


c      if (imad == 1) then
c        mat2m=stt(p1,p2,p3,p4)
c        write(*,*) mat2,mat2m
c       end if

      end


